/* @(#)Z 1.1 com/src/samples/shpin/ioddspm.h, odplugin, od96os2, odos29712d 97/03/21 17:51:30 (97/02/27 15:10:14) */

/*====START_GENERATED_PROLOG======================================
 */
/*
 *   COMPONENT_NAME: odplugin
 *
 *   CLASSES: none
 *
 *   ORIGINS: 27
 *
 *
 *   (C) COPYRIGHT International Business Machines Corp. 1997
 *   All Rights Reserved
 *   Licensed Materials - Property of IBM
 *   US Government Users Restricted Rights - Use, duplication or
 *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
 *   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULA
 *   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 *   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS O
 *   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 *   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
 *   OR PERFORMANCE OF THIS SOFTWARE.
 */
/*====END_GENERATED_PROLOG========================================
 */

#ifndef SHPIN_MESSAGES
#define SHPIN_MESSAGES

struct message {
ULONG id;
const char *text;
};

static message messages[] = {
#ifdef _PLATFORM_OS2_
   {0x0000,  "WM_NULL"               },
   {0x0001,  "WM_CREATE"             },
   {0x0002,  "WM_DESTROY"            },
   {0x0004,  "WM_ENABLE"             },
   {0x0005,  "WM_SHOW"               },
   {0x0006,  "WM_MOVE"               },
   {0x0008,  "WM_ADJUSTWINDOWPOS"    },
   {0x0009,  "WM_CALCVALIDRECTS"     },
   {0x000a,  "WM_SETWINDOWPARAMS"    },
   {0x000b,  "WM_QUERYWINDOWPARAMS"  },
   {0x000c,  "WM_HITTEST"            },
   {0x000d,  "WM_ACTIVATE"           },
   {0x000f,  "WM_SETFOCUS"           },
   {0x0010,  "WM_SETSELECTION"       },
   {0x0011,  "WM_PPAINT"             },
   {0x0012,  "WM_PSETFOCUS"          },
   {0x0013,  "WM_PSYSCOLORCHANGE"    },
   {0x0014,  "WM_PSIZE"              },
   {0x0015,  "WM_PACTIVATE"          },
   {0x0016,  "WM_PCONTROL"           },
   {0x0020,  "WM_COMMAND"            },
   {0x0021,  "WM_SYSCOMMAND"         },
   {0x0022,  "WM_HELP"               },
   {0x0023,  "WM_PAINT"              },
   {0x0024,  "WM_TIMER"              },
   {0x0025,  "WM_SEM1"               },
   {0x0026,  "WM_SEM2"               },
   {0x0027,  "WM_SEM3"               },
   {0x0028,  "WM_SEM4"               },
   {0x0029,  "WM_CLOSE"              },
   {0x002a,  "WM_QUIT"               },
   {0x002b,  "WM_SYSCOLORCHANGE"     },
   {0x002d,  "WM_SYSVALUECHANGED"    },
   {0x002e,  "WM_APPTERMINATENOTIFY" },
   {0x002f,  "WM_PRESPARAMCHANGED"   },
   {0x0030,  "WM_CONTROL"            },
   {0x0031,  "WM_VSCROLL"            },
   {0x0032,  "WM_HSCROLL"            },
   {0x0033,  "WM_INITMENU"           },
   {0x0034,  "WM_MENUSELECT"         },
   {0x0035,  "WM_MENUEND"            },
   {0x0036,  "WM_DRAWITEM"           },
   {0x0037,  "WM_MEASUREITEM"        },
   {0x0038,  "WM_CONTROLPOINTER"     },
   {0x003a,  "WM_QUERYDLGCODE"       },
   {0x003b,  "WM_INITDLG"            },
   {0x003c,  "WM_SUBSTITUTESTRING"   },
   {0x003d,  "WM_MATCHMNEMONIC"      },
   {0x003e,  "WM_SAVEAPPLICATION"    },
   {0x0040,  "WM_FLASHWINDOW"        },
   {0x0041,  "WM_FORMATFRAME"        },
   {0x0042,  "WM_UPDATEFRAME"        },
   {0x0043,  "WM_FOCUSCHANGE"        },
   {0x0044,  "WM_SETBORDERSIZE"      },
   {0x0045,  "WM_TRACKFRAME"         },
   {0x0046,  "WM_MINMAXFRAME"        },
   {0x0047,  "WM_SETICON"            },
   {0x0048,  "WM_QUERYICON"          },
   {0x0049,  "WM_SETACCELTABLE"      },
   {0x004a,  "WM_QUERYACCELTABLE"    },
   {0x004b,  "WM_TRANSLATEACCEL"     },
   {0x004c,  "WM_QUERYTRACKINFO"     },
   {0x004d,  "WM_QUERYBORDERSIZE"    },
   {0x004e,  "WM_NEXTMENU"           },
   {0x004f,  "WM_ERASEBACKGROUND"    },
   {0x0050,  "WM_QUERYFRAMEINFO"     },
   {0x0051,  "WM_QUERYFOCUSCHAIN"    },
   {0x0052,  "WM_OWNERPOSCHANGE"     },
   {0x0053,  "WM_CALCFRAMERECT"      },
   {0x0055,  "WM_WINDOWPOSCHANGED"   },
   {0x0056,  "WM_ADJUSTFRAMEPOS"     },
   {0x0059,  "WM_QUERYFRAMECTLCOUNT" },
   {0x005B,  "WM_QUERYHELPINFO"      },
   {0x005C,  "WM_SETHELPINFO"        },
   {0x005D,  "WM_ERROR"              },
   {0x005E,  "WM_REALIZEPALETTE"     },
   {0x0060,  "WM_RENDERFMT"          },
   {0x0061,  "WM_RENDERALLFMTS"      },
   {0x0062,  "WM_DESTROYCLIPBOARD"   },
   {0x0063,  "WM_PAINTCLIPBOARD"     },
   {0x0064,  "WM_SIZECLIPBOARD"      },
   {0x0065,  "WM_HSCROLLCLIPBOARD"   },
   {0x0066,  "WM_VSCROLLCLIPBOARD"   },
   {0x0067,  "WM_DRAWCLIPBOARD"      },
   {0x0070,  "WM_MOUSEMOVE"          },
   {0x0071,  "WM_BUTTON1DOWN"        },
   {0x0072,  "WM_BUTTON1UP"          },
   {0x0073,  "WM_BUTTON1DBLCLK"      },
   {0x0074,  "WM_BUTTON2DOWN"        },
   {0x0075,  "WM_BUTTON2UP"          },
   {0x0076,  "WM_BUTTON2DBLCLK"      },
   {0x0077,  "WM_BUTTON3DOWN"        },
   {0x0078,  "WM_BUTTON3UP"          },
   {0x0079,  "WM_BUTTON3DBLCLK"      },
   {0x007D,  "WM_MOUSEMAP"           },
   {0x007a,  "WM_CHAR"               },
   {0x007b,  "WM_VIOCHAR"            },
   {0x007c,  "WM_JOURNALNOTIFY"      },
   {0x007e,  "WM_VRNDISABLED"        },
   {0x007f,  "WM_VRNENABLED"         },
   {0x00A0,  "WM_DDE_INITIATE"       },
   {0x00A1,  "WM_DDE_REQUEST"        },
   {0x00A2,  "WM_DDE_ACK"            },
   {0x00A3,  "WM_DDE_DATA"           },
   {0x00A4,  "WM_DDE_ADVISE"         },
   {0x00A5,  "WM_DDE_UNADVISE"       },
   {0x00A6,  "WM_DDE_POKE"           },
   {0x00A7,  "WM_DDE_EXECUTE"        },
   {0x00A8,  "WM_DDE_TERMINATE"      },
   {0x00A9,  "WM_DDE_INITIATEACK"    },
   {0x00AF,  "WM_DDE_LAST"           },
   {0x00b0,  "WM_QUERYCONVERTPOS"    },
   {0x00b6,  "WM_DBE_SETAPPLSTAT"    },
   {0x00bc,  "WM_DBE_KKCPARAMS"      },
   {0x00cf,  "WM_DBCSLAST"           },
   {0x010E,  "WM_MSGBOXINIT"         },
   {0x010F,  "WM_MSGBOXDISMISS"      },
   {0x0310,  "WM_DRAGFIRST"          },
   {0x032f,  "WM_DRAGLAST"           },
   {0x0410,  "WM_CHORD"              },
   {0x0411,  "WM_BUTTON1MOTIONSTART" },
   {0x0412,  "WM_BUTTON1MOTIONEND"   },
   {0x0413,  "WM_BUTTON1CLICK"       },
   {0x0414,  "WM_BUTTON2MOTIONSTART" },
   {0x0415,  "WM_BUTTON2MOTIONEND"   },
   {0x0416,  "WM_BUTTON2CLICK"       },
   {0x0417,  "WM_BUTTON3MOTIONSTART" },
   {0x0418,  "WM_BUTTON3MOTIONEND"   },
   {0x0419,  "WM_BUTTON3CLICK"       },
   {0x0420,  "WM_BEGINDRAG"          },
   {0x0421,  "WM_ENDDRAG"            },
   {0x0422,  "WM_SINGLESELECT"       },
   {0x0423,  "WM_OPEN"               },
   {0x0424,  "WM_CONTEXTMENU"        },
   {0x0425,  "WM_CONTEXTHELP"        },
   {0x0426,  "WM_TEXTEDIT"           },
   {0x0427,  "WM_BEGINSELECT"        },
   {0x0428,  "WM_ENDSELECT"          },
   {0x0429,  "WM_PICKUP"             },
   {0x04C0,  "WM_PENFIRST"           },
   {0x04FF,  "WM_PENLAST"            },
   {0x0500,  "WM_MMPMFIRST"          },
   {0x0519,  "WM_INITSECONDARYWINDOW"},      
   {0x05FF,  "WM_MMPMLAST"           },
   {0x0BD0,  "WM_SETBIDIATTR"        },
   {0x0BD0,  "WM_BIDI_FIRST"         },
   {0x0BD1,  "WM_QUERYBIDIATTR"      },
   {0x0BD2,  "WM_SETBIDISTAT"        },
   {0x0BD3,  "WM_QUERYBIDISTAT"      },
   {0x0BD4,  "WM_KBDLAYERCHANGED"    },
   {0x0BE0,  "WM_LANGVIEWINFOCHANGED"},
   {0x0BE2,  "WM_LANG_OPTIONS_DIALOG"},
   {0x0BE2,  "WM_LANGOPTIONSDIALOG"  },
   {0x0BFF,  "WM_BIDI_LAST"          },
   {0x0F00,  "WM_HELPBASE"           },
   {0x0FFF,  "WM_HELPTOP"            },
   {0x1000,  "WM_USER"               }
#endif
#ifdef _PLATFORM_WIN32_
   {0x0001,  "WM_CREATE"		},
   {0x0002,  "WM_DESTROY"		},
   {0x0003,  "WM_MOVE"			},
   {0x0005,  "WM_SIZE"			},
   {0x0006,  "WM_ACTIVATE"		},
   {0x0007,  "WM_SETFOCUS"		},
   {0x0008,  "WM_KILLFOCUS"		},
   {0x000A,  "WM_ENABLE"		},
   {0x000B,  "WM_SETREDRAW"		},
   {0x000C,  "WM_SETTEXT"		},
   {0x000D,  "WM_GETTEXT"		},
   {0x000E,  "WM_GETTEXTLENGTH"		},
   {0x000F,  "WM_PAINT"			},
   {0x0010,  "WM_CLOSE"			},
   {0x0011,  "WM_QUERYENDSESSION"	},
   {0x0012,  "WM_QUIT"			},
   {0x0013,  "WM_QUERYOPEN"		},
   {0x0014,  "WM_ERASEBKGND"		},
   {0x0015,  "WM_SYSCOLORCHANGE"	},
   {0x0016,  "WM_ENDSESSION"		},
   {0x0018,  "WM_SHOWWINDOW"		},
   {0x001A,  "WM_WININICHANGE"		},
   {0x001B,  "WM_DEVMODECHANGE"		},
   {0x001C,  "WM_ACTIVATEAPP"		},
   {0x001D,  "WM_FONTCHANGE"		},
   {0x001E,  "WM_TIMECHANGE"		},
   {0x001F,  "WM_CANCELMODE"		},
   {0x0020,  "WM_SETCURSOR"		},
   {0x0021,  "WM_MOUSEACTIVATE"		},
   {0x0022,  "WM_CHILDACTIVATE"		},
   {0x0023,  "WM_QUEUESYNC"		},
   {0x0024,  "WM_GETMINMAXINFO"		},
   {0x0026,  "WM_PAINTICON"		},
   {0x0027,  "WM_ICONERASEBKGND"	},
   {0x0028,  "WM_NEXTDLGCTL"		},
   {0x002A,  "WM_SPOOLERSTATUS"		},
   {0x002B,  "WM_DRAWITEM"		},
   {0x002C,  "WM_MEASUREITEM"		},
   {0x002D,  "WM_DELETEITEM"		},
   {0x002E,  "WM_VKEYTOITEM"		},
   {0x002F,  "WM_CHARTOITEM"		},
   {0x0030,  "WM_SETFONT"		},
   {0x0031,  "WM_GETFONT"		},
   {0x0032,  "WM_SETHOTKEY"		},
   {0x0033,  "WM_GETHOTKEY"		},
   {0x0037,  "WM_QUERYDRAGICON"		},
   {0x0039,  "WM_COMPAREITEM"		},
   {0x0041,  "WM_COMPACTING"		},
   {0x0044,  "WM_COMMNOTIFY"		},
   {0x0046,  "WM_WINDOWPOSCHANGING"	},
   {0x0047,  "WM_WINDOWPOSCHANGED"	},
   {0x0048,  "WM_POWER"			},
   {0x004A,  "WM_COPYDATA"		},
   {0x004B,  "WM_CANCELJOURNAL"		},
   {0x004E,  "WM_NOTIFY"		},
   {0x0050,  "WM_INPUTLANGCHANGEREQUEST"},
   {0x0051,  "WM_INPUTLANGCHANGE"	},
   {0x0052,  "WM_TCARD"			},
   {0x0053,  "WM_HELP"			},
   {0x0054,  "WM_USERCHANGED"		},
   {0x0055,  "WM_NOTIFYFORMAT"		},
   {0x007B,  "WM_CONTEXTMENU"		},
   {0x007C,  "WM_STYLECHANGING"		},
   {0x007D,  "WM_STYLECHANGED"		},
   {0x007E,  "WM_DISPLAYCHANGE"		},
   {0x007F,  "WM_GETICON"		},
   {0x0080,  "WM_SETICON"		},
   {0x0081,  "WM_NCCREATE"		},
   {0x0082,  "WM_NCDESTROY"		},
   {0x0083,  "WM_NCCALCSIZE"		},
   {0x0084,  "WM_NCHITTEST"		},
   {0x0085,  "WM_NCPAINT"		},
   {0x0086,  "WM_NCACTIVATE"		},
   {0x0087,  "WM_GETDLGCODE"		},
   {0x00A0,  "WM_NCMOUSEMOVE"		},
   {0x00A1,  "WM_NCLBUTTONDOWN"		},
   {0x00A2,  "WM_NCLBUTTONUP"		},
   {0x00A3,  "WM_NCLBUTTONDBLCLK"	},
   {0x00A4,  "WM_NCRBUTTONDOWN"		},
   {0x00A5,  "WM_NCRBUTTONUP"		},
   {0x00A6,  "WM_NCRBUTTONDBLCLK"	},
   {0x00A7,  "WM_NCMBUTTONDOWN"		},
   {0x00A8,  "WM_NCMBUTTONUP"		},
   {0x00A9,  "WM_NCMBUTTONDBLCLK"	},
   {0x0100,  "WM_KEYFIRST"		},
   {0x0100,  "WM_KEYDOWN"		},
   {0x0101,  "WM_KEYUP"			},
   {0x0102,  "WM_CHAR"			},
   {0x0103,  "WM_DEADCHAR"		},
   {0x0104,  "WM_SYSKEYDOWN"		},
   {0x0105,  "WM_SYSKEYUP"		},
   {0x0106,  "WM_SYSCHAR"		},
   {0x0107,  "WM_SYSDEADCHAR"		},
   {0x0108,  "WM_KEYLAST"		},
   {0x010D,  "WM_IME_STARTCOMPOSITION"	},
   {0x010E,  "WM_IME_ENDCOMPOSITION"	},
   {0x010F,  "WM_IME_COMPOSITION"	},
   {0x010F,  "WM_IME_KEYLAST"		},
   {0x0110,  "WM_INITDIALOG"		},
   {0x0111,  "WM_COMMAND"		},
   {0x0112,  "WM_SYSCOMMAND"		},
   {0x0113,  "WM_TIMER"			},
   {0x0114,  "WM_HSCROLL"		},
   {0x0115,  "WM_VSCROLL"		},
   {0x0116,  "WM_INITMENU"		},
   {0x0117,  "WM_INITMENUPOPUP"		},
   {0x011F,  "WM_MENUSELECT"		},
   {0x0120,  "WM_MENUCHAR"		},
   {0x0121,  "WM_ENTERIDLE"		},
   {0x0132,  "WM_CTLCOLORMSGBOX"	},
   {0x0133,  "WM_CTLCOLOREDIT"		},
   {0x0134,  "WM_CTLCOLORLISTBOX"	},
   {0x0135,  "WM_CTLCOLORBTN"		},
   {0x0136,  "WM_CTLCOLORDLG"		},
   {0x0137,  "WM_CTLCOLORSCROLLBAR"	},
   {0x0138,  "WM_CTLCOLORSTATIC"	},
   {0x0200,  "WM_MOUSEFIRST"		},
   {0x0200,  "WM_MOUSEMOVE"		},
   {0x0201,  "WM_LBUTTONDOWN"		},
   {0x0202,  "WM_LBUTTONUP"		},
   {0x0203,  "WM_LBUTTONDBLCLK"		},
   {0x0204,  "WM_RBUTTONDOWN"		},
   {0x0205,  "WM_RBUTTONUP"		},
   {0x0206,  "WM_RBUTTONDBLCLK"		},
   {0x0207,  "WM_MBUTTONDOWN"		},
   {0x0208,  "WM_MBUTTONUP"		},
   {0x0209,  "WM_MBUTTONDBLCLK"		},
   {0x0209,  "WM_MOUSELAST"		},
   {0x0210,  "WM_PARENTNOTIFY"		},
   {0x0211,  "WM_ENTERMENULOOP"		},
   {0x0212,  "WM_EXITMENULOOP"		},
   {0x0213,  "WM_NEXTMENU"		},
   {0x0214,  "WM_SIZING"		},
   {0x0215,  "WM_CAPTURECHANGED"	},
   {0x0216,  "WM_MOVING"		},
   {0x0218,  "WM_POWERBROADCAST"	},
   {0x0219,  "WM_DEVICECHANGE"		},
   {0x0281,  "WM_IME_SETCONTEXT"	},
   {0x0282,  "WM_IME_NOTIFY"		},
   {0x0283,  "WM_IME_CONTROL"		},
   {0x0284,  "WM_IME_COMPOSITIONFULL"	},
   {0x0285,  "WM_IME_SELECT"		},
   {0x0286,  "WM_IME_CHAR"		},
   {0x0290,  "WM_IME_KEYDOWN"		},
   {0x0291,  "WM_IME_KEYUP"		},
   {0x0220,  "WM_MDICREATE"		},
   {0x0221,  "WM_MDIDESTROY"		},
   {0x0222,  "WM_MDIACTIVATE"		},
   {0x0223,  "WM_MDIRESTORE"		},
   {0x0224,  "WM_MDINEXT"		},
   {0x0225,  "WM_MDIMAXIMIZE"		},
   {0x0226,  "WM_MDITILE"		},
   {0x0227,  "WM_MDICASCADE"		},
   {0x0228,  "WM_MDIICONARRANGE"	},
   {0x0229,  "WM_MDIGETACTIVE"		},
   {0x0230,  "WM_MDISETMENU"		},
   {0x0231,  "WM_ENTERSIZEMOVE"		},
   {0x0232,  "WM_EXITSIZEMOVE"		},
   {0x0233,  "WM_DROPFILES"		},
   {0x0234,  "WM_MDIREFRESHMENU"	},
   {0x0300,  "WM_CUT"			},
   {0x0301,  "WM_COPY"			},
   {0x0302,  "WM_PASTE"			},
   {0x0303,  "WM_CLEAR"			},
   {0x0304,  "WM_UNDO"			},
   {0x0305,  "WM_RENDERFORMAT"		},
   {0x0306,  "WM_RENDERALLFORMATS"	},
   {0x0307,  "WM_DESTROYCLIPBOARD"	},
   {0x0308,  "WM_DRAWCLIPBOARD"		},
   {0x0309,  "WM_PAINTCLIPBOARD"	},
   {0x030A,  "WM_VSCROLLCLIPBOARD"	},
   {0x030B,  "WM_SIZECLIPBOARD"		},
   {0x030C,  "WM_ASKCBFORMATNAME"	},
   {0x030D,  "WM_CHANGECBCHAIN"		},
   {0x030E,  "WM_HSCROLLCLIPBOARD"	},
   {0x030F,  "WM_QUERYNEWPALETTE"	},
   {0x0310,  "WM_PALETTEISCHANGING"	},
   {0x0311,  "WM_PALETTECHANGED"	},
   {0x0312,  "WM_HOTKEY"		},
   {0x0317,  "WM_PRINT"			},
   {0x0318,  "WM_PRINTCLIENT"		},
   {0x0358,  "WM_HANDHELDFIRST"		},
   {0x035F,  "WM_HANDHELDLAST"		},
   {0x0360,  "WM_AFXFIRST"		},
   {0x037F,  "WM_AFXLAST"		},
   {0x0380,  "WM_PENWINFIRST"		},
   {0x038F,  "WM_PENWINLAST"		},
   {0x8000,  "WM_APP"			},
#endif
};

#endif
